Results 1 to 2 of 2

Thread: Metasploit Ruby Error?

  1. #1
    Join Date
    2014-Jun
    Posts
    1

    Metasploit Ruby Error?

    Hello Guys
    I'm Having a error with my Metasploit
    When i open my terminal and try: msfconsole
    This happen:
    root@Radesh:~# msfconsole
    /usr/lib/ruby/1.9.1/psych.rb:203:in `parse': (<unknown>): did not find expected key while parsing a block mapping at line 2 column 3 (Psych::SyntaxError)
    from /usr/lib/ruby/1.9.1/psych.rb:203:in `parse_stream'
    from /usr/lib/ruby/1.9.1/psych.rb:151:in `parse'
    from /usr/lib/ruby/1.9.1/psych.rb:127:in `load'
    from /opt/metasploit/apps/pro/msf3/lib/msf/ui/console/driver.rb:188:in `initialize'
    from /opt/metasploit/apps/pro/msf3/msfconsole:148:in `new'
    from /opt/metasploit/apps/pro/msf3/msfconsole:148:in `<main>'
    root@Radesh:~#

    So i Tried: apt-get update
    apt-get upgrade
    apt-get dist-upgrade
    apt-get remove metasploit
    apt-get install metasploit
    msfupdate

    And the same error when i try: msfconsole on my terminal
    PLZ HELP ME ~


    Radesh

  2. #2
    Join Date
    2014-Jul
    Posts
    1
    I have resolved this problem. It is generated by bad character in "/opt/metasploit/apps/pro/ui/config/database.yml", in my case was in password.

    old case
    password: "Nt6��H�����wXHE��I��S���L�68�O0�

    new case (I wrote my password with text plain characters)
    password: "ILoveChile"

Similar Threads

  1. Metasploit & Oracle (ruby-oci8) not working together
    By deadl0ck in forum General Archive
    Replies: 3
    Last Post: 2016-05-02, 22:19
  2. Kali 1.10 - Ruby 2.1.5, Metasploit needed for SET to work.
    By LinuxDad in forum General Archive
    Replies: 2
    Last Post: 2015-03-24, 12:43
  3. Missing Ruby Gem breaks Metasploit Framework?
    By factgasm in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2014-08-01, 11:09

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •